#!/bin/bash

# $1 = PI Version

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# New Installer from HifiBerry Github
apt-get update
bash <(curl https://raw.githubusercontent.com/hifiberry/hifiberry-dsp/master/install-dsptoolkit)
# TODO Activate spi - better do this with RPI-Functions
if [ "$(grep -e '^dtparam=spi=on' /boot/config.txt | wc -l)" -lt "1" ]; then
	sed -i 's/#dtparam=spi=on/dtparam=spi=on/' /boot/config.txt
fi

echo ""
echo "<b>Finished Installing TCP-Client - Reboot needed!</b>"

exit 0

# Install TCP server
pushd /opt
sudo apt-get install -y git cmake
git clone https://github.com/bang-olufsen/create
cd create/SigmaTcpDaemon
cmake .
make
sudo cp sigmaTcpDaemon /usr/local/bin/beocreate-tcp
sudo chown root /usr/local/bin/beocreate-tcp
sudo chmod u+s /usr/local/bin/beocreate-tcp
sudo chmod go+rx /usr/local/bin/beocreate-tcp
cd ../SigmaClientTool
cmake .
make
sudo cp SigmaClientTool /usr/local/bin/beocreate-client
sudo chown root /usr/local/bin/beocreate-tcp
sudo chmod go+rx /usr/local/bin/beocreate-tcp

cat <<EOF >beocreate-tcp.service
[Unit]
Description=Beocreate DSP TCP deamon
After=network.target

[Service]
Type=simple
ExecStart=/usr/local/bin/beocreate-tcp
StandardOutput=null
Restart=on-failure

[Install]
WantedBy=multi-user.target
Alias=beocreate-tcp.service
EOF

sudo mv beocreate-tcp.service /etc/systemd/system
sudo systemctl daemon-reload
sudo systemctl start beocreate-tcp

echo ""
echo "<b>Finished Installing BeoCreate TCP-Client</b>"
